{{- if .Values.clusterConfig.cilium.enabled }}
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: allow-plausible-secure-gravatar
  namespace: plausible
spec:
  description: Allow Plausible Gravatar
  egress:
    - toFQDNs:
        - matchName: secure.gravatar.com
        - matchName: gravatar.com
        - matchName: www.gravatar.com
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: plausible-analytics
{{- end }}
